585,749 active members*
3,929 visitors online*
Register for free
Login
IndustryArena Forum > CAD Software > Autodesk > Paper space Model space ??
Results 1 to 11 of 11
  1. #1
    Join Date
    Mar 2003
    Posts
    6855

    Paper space Model space ??

    How can I tab between paper space and model space without clicking on the tab button on the screen?

  2. #2
    Join Date
    Mar 2003
    Posts
    35538
    pspace and mspace commands. You can create shorter alias's to make it quicker.

    Gerry
    Gerry

    UCCNC 2017 Screenset
    http://www.thecncwoodworker.com/2017.html

    Mach3 2010 Screenset
    http://www.thecncwoodworker.com/2010.html

    JointCAM - CNC Dovetails & Box Joints
    http://www.g-forcecnc.com/jointcam.html

    (Note: The opinions expressed in this post are my own and are not necessarily those of CNCzone and its management)

  3. #3
    Join Date
    Apr 2003
    Posts
    103
    In AutoCAD 2000 and newer, you can just type PS or MS at the command line.
    Ryan Shanks - Logic Industries LLC
    http://www.logic-industries.com

  4. #4
    Join Date
    Apr 2003
    Posts
    89

    Cool

    When in paper space double clicking inside a viewport takes you to model space and then double clicking outside viewport takes you back to paper space. ( sounds like a vidio game)

  5. #5
    Join Date
    Mar 2003
    Posts
    6855
    Well ps ms does not work in 2002, and I already know about the doble click. I'm looking for one button that will move from opne to the other.

  6. #6
    Join Date
    Apr 2003
    Posts
    103
    Then you have something configured wrong.

    I just pulled up AutoCAD to make sure I wasn't full of crap, and PS/MS still worked like a champ.

    You have to be under one of the layout tabs (doesn't matter which one).
    Ryan Shanks - Logic Industries LLC
    http://www.logic-industries.com

  7. #7
    Join Date
    May 2003
    Posts
    21
    Tilemode 0 or 1

    I've written three very simple AutoLISP routines to toggle back and forth

    (defun C:TM ()
    (setvar "cmdecho" 0)
    (command "tilemode" (abs (+ (getvar "tilemode") -1)))
    (setvar "cmdecho" 1)
    (princ)
    ); end tm.lsp

    (defun C:PS ()
    (setvar "cmdecho" 0)
    (if (= (getvar "tilemode") 1)
    (setvar "tilemode" 0)
    )
    (command "pspace")
    (setvar "cmdecho" 1)
    (princ)
    )

    (defun C:MS ()
    (setvar "cmdecho" 0)
    (if (= (getvar "tilemode") 1)
    (setvar "tilemode" 0)
    )
    (command "mspace")
    (setvar "cmdecho" 1)
    (princ)
    )

    HTH
    Brent
    -------------
    Sometimes people have a hard time reading my emails and posts, so thats why I type slower.
    So people can understand me then.

  8. #8
    Join Date
    Mar 2003
    Posts
    6855
    Originally posted by Wilkerson
    Tilemode 0 or 1

    I've written three very simple AutoLISP routines to toggle back and forth

    (defun C:TM ()
    (setvar "cmdecho" 0)
    (command "tilemode" (abs (+ (getvar "tilemode") -1)))
    (setvar "cmdecho" 1)
    (princ)
    ); end tm.lsp

    (defun C:PS ()
    (setvar "cmdecho" 0)
    (if (= (getvar "tilemode") 1)
    (setvar "tilemode" 0)
    )
    (command "pspace")
    (setvar "cmdecho" 1)
    (princ)
    )

    (defun C:MS ()
    (setvar "cmdecho" 0)
    (if (= (getvar "tilemode") 1)
    (setvar "tilemode" 0)
    )
    (command "mspace")
    (setvar "cmdecho" 1)
    (princ)
    )

    HTH

    How does it work? How do I install it?

  9. #9
    Join Date
    May 2003
    Posts
    21
    Copy and paste them into notepad.

    Save with the extension .LSP save preferably in a support directory

    In AutoCAD type appload

    Browse to were you saved the file.

    Select it and click load.

    You can also load it into the Startup Suite from appload.

    The C:XXX is the command name example Command: TM

    AutoLISP is a programming language for AutoCAD. These are very simple ones. I have tons of LISP programs written for varies applications

    HTH

    Brent
    Brent
    -------------
    Sometimes people have a hard time reading my emails and posts, so thats why I type slower.
    So people can understand me then.

  10. #10
    Join Date
    Mar 2003
    Posts
    35538
    What's wrong with clicking the tabs? Are you looking for a faster way to switch? Or for some other reason?

    Gerry
    Gerry

    UCCNC 2017 Screenset
    http://www.thecncwoodworker.com/2017.html

    Mach3 2010 Screenset
    http://www.thecncwoodworker.com/2010.html

    JointCAM - CNC Dovetails & Box Joints
    http://www.g-forcecnc.com/jointcam.html

    (Note: The opinions expressed in this post are my own and are not necessarily those of CNCzone and its management)

  11. #11
    Join Date
    May 2003
    Posts
    21
    Ger21, if your an original AutoCAD'r, like myself.....been using since days of DOS, you still type most commands. And I've gotten use to typing TM, MS and PS. I just tweaked these commands to toggle back and forth quickly.
    I've been using AutoCAD with LISP routines I've written for so long that I just think of the extra util's as normal AutoCAD commands. Take text editting, it sucks doing it. I've written a different DDEDIT like command. It can be used for DTEXT, MTEXT or DIMENSIONS with multiple selections. This is a BIG time save.



    ;;; Command Name: DE and ED

    ;; MULITPLE TEXT EDIT FOR MTEXT,DTEXT,DIMENSION,TOLERANCE OR ATTRIBUTES ;;

    ;-----------------------------------------------------------;
    (defun NOT_TEXT (/ ATT)
    (cond
    ((not (or (= (cdr (assoc 0 TXT)) "DIMENSION")
    (= (cdr (assoc 0 TXT)) "INSERT")
    (= (cdr (assoc 0 TXT)) "TOLERANCE")))
    (princ
    (strcat "\nObject selected is not TEXT,MTEXT,DIMENSION,TOLERANCE or ATTRIBUTE.
    \n\tThis is a " (cdr (assoc 0 TXT)) "."))
    )
    (' t
    (if (= (cdr (assoc 0 TXT)) "INSERT")
    (progn
    (setq ATT (cdr (assoc 66 TXT)))
    (if (= ATT 1) (command "ddatte" (ssname SS CNT))
    (princ "\nINSERT does NOT have ATTRIBUTES")
    )
    )
    )
    (command "ddedit" (ssname SS CNT) "")
    )
    )
    )
    ;-----------------------------------------------------------;
    (defun C:DE (/ SS NUM TXT OLD NEW TE CNT)
    (setvar "CMDECHO" 0)
    (command "undo" "m" "undo" "g")

    (princ "\n<Select DTEXT,MTEXT,DIMENSIONS,TOLERANCES or ATTRIBUTES>/Remove")
    (setq SS (ssget))
    (if (= SS nil) (setq SS (ssget "p")))

    (setq NUM (sslength SS) CNT 0)

    (repeat NUM
    (setq TXT (entget (ssname SS CNT)))

    (cond
    ((not (or (= (cdr (assoc 0 TXT)) "TEXT") (= (cdr (assoc 0 TXT)) "MTEXT")))
    (NOT_TEXT)
    )
    (' t
    (setq
    OLD (cdr (assoc 1 TXT))
    TE (load_dialog "textedit")
    )
    (if (and TE (new_dialog "textedit" TE))
    (progn
    (set_tile "txt_edit" OLD)
    (action_tile
    "txt_edit"
    "(setq NEW $value)"
    )
    (if (= (start_dialog) 1)
    (progn
    (setq
    TXT (subst
    (cons 1 NEW)
    (assoc 1 TXT)
    TXT
    )
    )
    (entmod TXT)
    )
    )
    (unload_dialog TE)
    )
    (exit)
    )
    )
    )
    (setq CNT (1+ CNT))
    )

    (setq SS nil)
    (command "undo" "e")
    (setvar "CMDECHO" 1)
    (princ)
    )
    ;-----------------------------------------------------------;
    (defun C:ED (/ SS NUM CNT)
    (setvar "CMDECHO" 0)
    (command "undo" "mark" "undo" "group")
    (princ "MDDEDIT")
    (princ "\n<Select DTEXT,MTEXT,DIMENSIONS or TOLERANCES>/Remove")
    (setq SS (ssget))
    (if (= SS nil) (setq SS (ssget "p")))
    (setq NUM (sslength SS) CNT 0)
    (repeat NUM
    (command "ddedit" (ssname SS CNT) "")
    (setq CNT (1+ CNT))
    )
    (setq SS nil)
    (command "undo" "e")
    (setvar "CMDECHO" 1)
    (princ)
    )
    Brent
    -------------
    Sometimes people have a hard time reading my emails and posts, so thats why I type slower.
    So people can understand me then.

Similar Threads

  1. BOBCAD Model Airplane Wing Design Script
    By cely in forum BobCad-Cam
    Replies: 6
    Last Post: 08-21-2009, 04:11 AM
  2. drilling peck chip break
    By fjd in forum G-Code Programing
    Replies: 20
    Last Post: 12-13-2004, 01:10 AM
  3. White Paper: Highspeed milling with micro-tools
    By HighSpeed in forum News Announcements
    Replies: 0
    Last Post: 03-03-2004, 03:29 PM
  4. Model or paper space?
    By cncadmin in forum Autodesk
    Replies: 9
    Last Post: 07-02-2003, 02:26 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •